import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.JsonNode;
import com.mashape.unirest.http.Unirest;
import com.mashape.unirest.http.exceptions.UnirestException;
import org.json.JSONArray;
import org.json.JSONObject;

public class YouAreEll {

    private static final String url = "http://zipcode.rocks:8085";
    private HttpResponse<JsonNode> response;
    private HttpResponse<String> reply;

    YouAreEll() { }

    public static void main(String[] args) throws UnirestException {



        //NEED TO CREATE JSON OBJECT AND PARSE TO POST_ID
        JSONObject toPutId = new JSONObject();
        toPutId.put("name", "jdot");
        toPutId.put("github", "jdot");
        //SET MY ID AND GITHUBID
        HttpResponse<String> postIDResponse = Unirest.post(url + "/ids")
                .header("accept", "application-json")
                .body(toPutId.toString()).asString();
        System.out.println(postIDResponse.getBody());


        //NEED TO CREATE JSON OBJECT AND PERSON TO POST_MESSAGE
        JSONObject toPutMessageToUser = new JSONObject();
        toPutMessageToUser.put("fromid", "jdot");
        toPutMessageToUser.put("toid", "jkim13");
        toPutMessageToUser.put("message", "gochubbahluh");
        //SEND MESSAGE TO USER
        HttpResponse<String> postMResponse = Unirest.post(url + "/ids/" + "jdot" + "/messages")
                .header("accept", "application-json")
                .body(toPutMessageToUser.toString()).asString();
        System.out.println(postMResponse.getBody());


        //GETS ALL USER ID INFO
        HttpResponse<JsonNode> response = Unirest.get(url + "/ids").asJson();
        System.out.println(response.getBody());
    }

    public JSONArray get_ids() throws UnirestException {
        response = Unirest.get(url + "/ids")
                .asJson();
        return response.getBody().getArray();
    }

    public void post_id(String name, String github) throws UnirestException {
        Unirest.post(url + "/ids")
                .body("{\"name\":\""+name+"\", \"github\":\""+github+"\"}")
                .asJson();
    }

    public JSONArray get_messages() throws UnirestException {
        response = Unirest.get(url + "/messages")
                .asJson();
        return response.getBody().getArray();
    }

    public HttpResponse<String> post_message(String fromid, String toid, String message) throws UnirestException {
        JSONObject toPutMessageToUser = new JSONObject();
        toPutMessageToUser.put("fromid", fromid);
        toPutMessageToUser.put("toid", toid);
        toPutMessageToUser.put("message", message);
        System.out.println(toPutMessageToUser.toString());
        HttpResponse<String> postResponse = Unirest.post(url + "/ids/" + fromid + "/messages")
                    .header("accept", "application-json")
                    .body(toPutMessageToUser.toString()).asString();
        return postResponse;

    }


    public String MakeURLCall(String mainurl, String method, String jpayload) {
        return "nada";
    }
}

